#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <zephyr/drivers/gpio.h>
#include <stdlib.h>                 // For Using "exit" function


// FUNCTION DEFINITIONS 

// Used to check if retrieving GPIO for Switch 1 from DTs is successful
int8_t check_gpio_sw1(void);

// Used to turrn on the Digital Switch to power the sensor to read data from sensor
void turn_on_sw (void);
// Used to turrn off the Digital Switch to power down the sensor to save energy
void turn_off_sw (void);